Name:		libchamplain
Version:	0.12.19
Release:	1
Summary:	Map view for Clutter

License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/libchamplain
Source0:	https://download.gnome.org/sources/libchamplain/0.12/%{name}-%{version}.tar.xz

BuildRequires:	clutter-devel
BuildRequires:	clutter-gtk-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
BuildRequires:	libsoup-devel
BuildRequires:	meson
BuildRequires:	sqlite-devel
BuildRequires:	gtk3-devel
BuildRequires:	vala

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	%{name}-gtk%{?_isa} = %{version}-%{release}
Obsoletes:	%{name}-gtk-devel < 0.12.12
Provides:	%{name}-gtk-devel = %{version}-%{release}
Obsoletes:	%{name}-vala < 0.12.8-1

%description devel
This package contains development files for %{name}.

%package gtk
Summary:	Gtk+ widget wrapper for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description gtk
Libchamplain-gtk is a library providing a GtkWidget to embed %{name}
into Gtk+ applications.

%package demos
Summary:	Demo apps for %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk-devel = %{version}-%{release}
BuildArch:      noarch

%description demos
This package contains demos for development using %{name}.

%prep
%setup -q

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%ldconfig_scriptlets
%ldconfig_scriptlets gtk

%files
%license COPYING
%doc AUTHORS README.md NEWS
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Champlain-0.12.typelib
%{_libdir}/libchamplain-0.12.so.0*

%files devel
%{_includedir}/champlain-0.12/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Champlain-0.12.gir
%{_datadir}/gir-1.0/GtkChamplain-0.12.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/champlain-0.12/
%{_datadir}/vala/vapi/champlain-0.12.deps
%{_datadir}/vala/vapi/champlain-0.12.vapi
%{_datadir}/vala/vapi/champlain-gtk-0.12.deps
%{_datadir}/vala/vapi/champlain-gtk-0.12.vapi
%{_libdir}/libchamplain-0.12.so
%{_libdir}/libchamplain-gtk-0.12.so
%{_libdir}/pkgconfig/champlain-0.12.pc
%{_libdir}/pkgconfig/champlain-gtk-0.12.pc

%files gtk
%{_libdir}/girepository-1.0/GtkChamplain-0.12.typelib
%{_libdir}/libchamplain-gtk-0.12.so.0*

%files demos
%doc demos/*.c
%doc demos/*.h
%doc demos/*.vala
%doc demos/*.js
%doc demos/Makefile*
%doc demos/*.py

%changelog
* Tue Aug 25 2020 douyan <douyan@kylinos.cn> - 0.12.19-1
- Init package for openEuler
